Skip to main content
GET
/
account
/
bitbucket
/
repository
/
branch
Get bitbucket branches of the specified repository
curl --request GET \
  --url https://api.qovery.com/account/bitbucket/repository/branch \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "name": "main"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Query Parameters

name
string

The name of the repository where to retrieve the branches

Response

Get bitbucket repository branches

results
object[]